# Institutions

An Institution is used to query institutions registered by the Brazilian Central Bank for Pix and Ted transactions.

### The Institution object

**Attributes**

| Name | Type | Description |
| --- | --- | --- |
| `displayName` | STRING | Short version of the institution name for display. |
| `name` | STRING | Full version of the institution name. |
| `spiCode` | STRING | SPI code used to identify the institution on Pix transactions. |
| `strCode` | STRING | STR code used to identify the institution on Ted transactions. |

### List Institutions

`GET /v2/institution`

Get a list of institutions.

**Parameters**

| Name | Required | Description |
| --- | --- | --- |
| `limit` | OPTIONAL | Number of results per cursor. Max = 100. |
| `search` | OPTIONAL | Part of the institution name to be searched. Example: "stark" |
| `spiCodes` | OPTIONAL | List of SPI (Pix) codes to be searched. Example: ["20018183"] |
| `strCodes` | OPTIONAL | List of STR (Ted) codes to be searched. Example: ["260"] |

**Request**

```python
import starkbank

institutions = starkbank.institution.query(search="stark")

for institution in institutions:
    print(institution)
```

**Response**

```python
Institution(
    display_name=Stark Bank,
    name=Stark Bank S.A.,
    spi_code=20018183,
    str_code=
)
```

## Available Languages

Code samples on this page are in Python. The same content is available with samples in:

- [Python](https://docs.starkbank.com/api/v2/institutions-python.md)
- [Node.js](https://docs.starkbank.com/api/v2/institutions-node.md)
- [PHP](https://docs.starkbank.com/api/v2/institutions-php.md)
- [Java](https://docs.starkbank.com/api/v2/institutions-java.md)
- [Ruby](https://docs.starkbank.com/api/v2/institutions-ruby.md)
- [Elixir](https://docs.starkbank.com/api/v2/institutions-elixir.md)
- [.NET](https://docs.starkbank.com/api/v2/institutions-dotnet.md)
- [Go](https://docs.starkbank.com/api/v2/institutions-go.md)
- [Clojure](https://docs.starkbank.com/api/v2/institutions-clojure.md)
- [cURL](https://docs.starkbank.com/api/v2/institutions-curl.md)
